Subject: Re: [eppext] Fw: I-D Action: draft-zhou-eppext-reseller-00.txt

From: Patrick Mevzek <[email-masked]>
Date: Tue, 2 Jun 2015 01:01:47 +0200

Linlin Zhou <[email-masked]> 2015-05-19 05:52
> > So it will probably be a registry policy, but we may have some 
> > scenarios where the reseller info will be kept through the transfer, 
> > and other scenarios where it will be wiped out (and if the new 
> > registrar wants to specify its own reseller he will do a domain:update 
> > afterwards). 
> > But maybe the draft should have a sentence about that. 
> > 
> I understand your consideration. I agree that some text should be added to clarify this problem. What do you think about James' suggested text? 
> "This extension does not add any elements to the EPP <transfer> command or <transfer> response described in the [RFC5730], but after a successful transfer of an object with an assigned reseller, the server SHOULD clear the assigned reseller value."
 
Seems good to me.

> > - I believe there should be somewhere an explanation on how your two 
> > drafts articulate between themselves. My understanding is that 
> > registrars will create reseller objets with the reseller mapping I-D, 
> > and then create domains with the resellerID for the reseller object 
> > they created previsouly. If that is not what is intended, some 
> > clarifications should be added somewhere. 
> > 
> Yes, you are right. This is what I am thinking about. There should be some text to describe the relationship between the two drafts. I intend to add a sentence in the intrduction section, such as "A reseller mapping object defined in [ID.draft-zhou-eppext-reseller-mapping] SHOULD be created first. The reseller information specified in this document SHOULD reference the existing reseller identifier and reseller name." 

I think this would be a good addition.
As well as your updates in 3.1 and 3.2
But I would be even happier if you could use the same node names in
both drafts for the ID, I believe this would make things simpler.

-- 
Patrick Mevzek